petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSortIntWithScalarArray

Sorts an array of integers in place in increasing order; changes a second SCALAR array to match the sorted first INTEGER array.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortIntWithScalarArray(PetscInt n,PetscInt i[],PetscScalar Ii[])

Not Collective

### Input Parameters

| n | - number of values
| i | - array of integers
| I | - second array of scalars

### See Also

PetscSortReal(), PetscSortIntPermutation(), PetscSortInt(), PetscSortIntWithArray()

### Level

intermediate

### Location

src/sys/utils/sorti.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages